SoPSVectorOutput Class Reference
Vectorized Printing Classes

The SoPSVectorOutput class is used for writing PostScript. More...

`#include <Inventor/Annex/HardCopy/SoPSVectorOutput.h>`

Inheritance diagram for SoPSVectorOutput:

## Public Member Functions

| SoPSVectorOutput ()
virtual | ~SoPSVectorOutput ()
void | setColored (SbBool flag=TRUE)
SbBool | getColored (void) const
Public Member Functions inherited from SoVectorOutput
| SoVectorOutput (void)
virtual | ~SoVectorOutput ()
virtual SbBool | openFile (const char *filename)
virtual void | closeFile (void)
FILE * | getFilePointer (void)

## Detailed Description

The SoPSVectorOutput class is used for writing PostScript.

Since
  Coin 2.1
  TGS provides HardCopy support as a separate extension for TGS Inventor.

## Constructor & Destructor Documentation

## SoPSVectorOutput()

SoPSVectorOutput::SoPSVectorOutput | ( |  | ) |

Constructor.

## ~SoPSVectorOutput()

SoPSVectorOutput::~SoPSVectorOutput | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## setColored()

void SoPSVectorOutput::setColored | ( | SbBool | flag = TRUE | ) |

Sets whether the geometry should be colored.

## getColored()

SbBool SoPSVectorOutput::getColored | ( | void |  | ) | const

Returns whether geometry is colored.

The documentation for this class was generated from the following files:

- SoPSVectorOutput.h
- PSVectorOutput.cpp